Last modified: 2011-02-22 22:31:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27440 - Special:Types non-functional on 1.17
Special:Types non-functional on 1.17
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Semantic MediaWiki (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Markus Krötzsch
:
Depends on:
Blocks: 26676
  Show dependency treegraph
 
Reported: 2011-02-16 01:59 UTC by Jeroen De Dauw
Modified: 2011-02-22 22:31 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jeroen De Dauw 2011-02-16 01:59:19 UTC
Some recent changes in MediaWiki make Special:Types not show anything. 

The TypesPage class has a getSQL method that returns the SQL to create the types list, but it's not getting called any more in 1.17 and above. Looks like getQueryInfo should be used instead. I've given it a try, but am not sure how to return the equivalent query with the UNIONs.
Comment 2 Platonides 2011-02-20 01:08:31 UTC
It is supposed to fall back to getSQL(), so there's something wrong with QueryPage if it's not being called when getQueryInfo() is commented.
Comment 3 Markus Krötzsch 2011-02-22 20:19:10 UTC
So we should file a bug on QueryPage?
Comment 4 Platonides 2011-02-22 21:50:54 UTC
Probably, although the code at QueryPage looks perfectly good. Needs debugging.
Comment 5 Jeroen De Dauw 2011-02-22 22:31:25 UTC
I found the bug, someone decided to swap the limit and offset params of doQuery at r78786. Awesome way to introduce subtle bugs! Fixed in r82636.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links